curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/deployments/{deploymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/deployments/{deploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"cluster_name": "<string>",
"project_info": {
"title": "<string>",
"name": "<string>",
"namespace": "<string>",
"organization": "<string>",
"capabilities": {},
"settings": {}
},
"environment_info": {
"name": "<string>",
"status": "<string>",
"is_main": true,
"is_production": true,
"constraints": {},
"reference": "<string>",
"machine_name": "<string>",
"environment_type": "<string>",
"links": {}
},
"deployment_target": "<string>",
"vpn": {
"version": 1,
"aggressive": "no",
"modeconfig": "pull",
"authentication": "<string>",
"gateway_ip": "<string>",
"identity": "<string>",
"second_identity": "<string>",
"remote_identity": "<string>",
"remote_subnets": [
"<string>"
],
"ike": "<string>",
"esp": "<string>",
"ikelifetime": "<string>",
"lifetime": "<string>",
"margintime": "<string>"
},
"http_access": {
"is_enabled": true,
"addresses": [
{
"permission": "allow",
"address": "<string>"
}
],
"basic_auth": {}
},
"enable_smtp": true,
"restrict_robots": true,
"variables": [
{
"name": "<string>",
"is_sensitive": true,
"is_json": true,
"visible_build": true,
"visible_runtime": true,
"value": "<string>"
}
],
"access": [
{
"entity_id": "<string>",
"role": "admin"
}
],
"subscription": {
"license_uri": "<string>",
"storage": 123,
"included_users": 123,
"subscription_management_uri": "<string>",
"restricted": true,
"suspended": true,
"user_licenses": 123,
"plan": "2xlarge",
"environments": 123,
"resources": {
"container_profiles": true,
"production": {
"legacy_development": true,
"max_cpu": 123,
"max_memory": 123,
"max_environments": 123
},
"development": {
"legacy_development": true,
"max_cpu": 123,
"max_memory": 123,
"max_environments": 123
}
},
"resource_validation_url": "<string>",
"image_types": {
"only": [
"<string>"
],
"exclude": [
"<string>"
]
}
},
"services": {},
"routes": {},
"webapps": {},
"workers": {},
"container_profiles": {},
"tasks": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"fingerprint": "<string>"
}Get a single environment deployment
Retrieve a single deployment configuration with an id of current. This may be subject to change in the future.
Only current can be queried.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
The identifier of Deployment
The name of the cluster
The project information
Show child attributes
Show child attributes
The environment information
Show child attributes
Show child attributes
The deployment target
The configuration of the VPN
Show child attributes
Show child attributes
The permissions of the HTTP access
Show child attributes
Show child attributes
Whether to configure SMTP for this environment
Whether to restrict robots for this environment
The variables applying to this environment
Show child attributes
Show child attributes
Access control definition for this enviroment
Show child attributes
Show child attributes
Subscription
Show child attributes
Show child attributes
The services
Show child attributes
Show child attributes
The routes
Show child attributes
Show child attributes
The Web applications
Show child attributes
Show child attributes
The workers
Show child attributes
Show child attributes
The profiles of the containers
Show child attributes
Show child attributes
The tasks sizing (applied at task run time)
Show child attributes
Show child attributes
The creation date of the deployment
The update date of the deployment
The fingerprint of the deployment
Was this page helpful?